Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JspServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.jasper.servlet.JspServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class JspServlet
extends javax.servlet.http.HttpServlet

The JSP engine (a.k.a Jasper)!

Author:
  Anil K. Vijendran, Harish Prabandham, Marc A. Saegesser
See Also:
  Serialized Form

Field Summary
`protected javax.servlet.ServletConfig` | `config`
`protected javax.servlet.ServletContext` | `context`
`protected ServletEngine` | `engine`
`protected java.util.Hashtable` | `jsps`
`protected JasperLoader` | `loader`
`protected Options` | `options`
`protected java.lang.ClassLoader` | `parentClassLoader`
`protected java.lang.String` | `serverInfo`

Constructor Summary
`JspServlet()`

Method Summary
`void` | `destroy()`
`protected boolean` | `doLoadJSP(java.lang.String jspUri, java.lang.String classpath, boolean isErrorPage, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`void` | `init(javax.servlet.ServletConfig config)`
`boolean` | `isOutDated(java.io.File jsp, JspCompilationContext ctxt, Mangler mangler)` Determines whether the current JSP class is older than the JSP file from whence it came
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected javax.servlet.ServletContext context

### jsps

    protected java.util.Hashtable jsps

### config

    protected javax.servlet.ServletConfig config

### loader

    protected JasperLoader loader

### options

    protected Options options

### parentClassLoader

    protected java.lang.ClassLoader parentClassLoader

### engine

    protected ServletEngine engine

### serverInfo

    protected java.lang.String serverInfo

Constructor Detail

### JspServlet

    public JspServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### destroy

    public void destroy()

### doLoadJSP

    protected boolean doLoadJSP(java.lang.String jspUri,
                                java.lang.String classpath,
                                boolean isErrorPage,
                                javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res)
                         throws JasperException,
                                java.io.FileNotFoundException

  Throws:
    `JasperException`
    `java.io.FileNotFoundException`

### isOutDated

    public boolean isOutDated(java.io.File jsp,
                              JspCompilationContext ctxt,
                              Mangler mangler)

  Determines whether the current JSP class is older than the JSP file from whence it came

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.